package components;

import openfl.display.Shape;

class NekoRectangle extends Shape {
	public function new(pColor:Int = 0xFF0000, pX:Int = 0, pY:Int = 0, pWidth:Int = 100, pHeight:Int = 100) {
		super();

        graphics.beginFill(pColor);
		graphics.drawRect(pX, pY, pWidth, pHeight);
		graphics.endFill();
	}
}